<!--
 * @Date: 2024-05-07 22:52:01
 * @LastEditors: Sneed
 * @LastEditTime: 2024-05-12 13:40:56
 * @FilePath: /belleson-frontend/Users/mache/Documents/demo/cps-web/src/views/console/basic-data/material-warehousing-data/Material-warehousing-data.vue
-->
<template>
    <el-main style="height: 100%;">
        <el-card shadow="never" style="height: 100%;" body-style="height: 100%">
            <el-tabs v-model="activeName" type="card" @tab-click="handleClick">
                <el-tab-pane label="出库类型" name="1">
                    <MaterialWarehousingDataCompVue name="出库" tableUrl="/api/blade-cps/stock-out-type/page"
                        insertUrl="/api/blade-cps/stock-out-type/insert"
                        removeUrl="/api/blade-cps/stock-out-type/remove"
                        updateUrl="/api/blade-cps/stock-out-type/update" />
                </el-tab-pane>
                <el-tab-pane label="入库类型" name="2">
                    <MaterialWarehousingDataCompVue name="入库" tableUrl="/api/blade-cps/stock-in-type/page"
                        insertUrl="/api/blade-cps/stock-in-type/insert" removeUrl="/api/blade-cps/stock-in-type/remove"
                        updateUrl="/api/blade-cps/stock-in-type/update" />
                </el-tab-pane>
            </el-tabs>
        </el-card>
    </el-main>
</template>

<script>
import MaterialWarehousingDataCompVue from './Material-warehousing-dataComp.vue'
export default {
    components: {
        MaterialWarehousingDataCompVue,
    },
    data() {
        return {
            activeName: '1',

        }
    },
}
</script>

<style lang="scss" scoped></style>